org.apache.hadoop.fs

## Class FileChecksum

- java.lang.Object
- - org.apache.hadoop.fs.FileChecksum

- All Implemented Interfaces:
    Writable

      @InterfaceAudience.Public
       @InterfaceStability.Stable
      public abstract class FileChecksum
      extends Object
      implements Writable

  An abstract class representing file checksums for files.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FileChecksum()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object other)` Return true if both the algorithms and the values are the same.
    `abstract String` | `getAlgorithmName()` The checksum algorithm name
    `abstract byte[]` | `getBytes()` The value of the checksum in bytes
    `org.apache.hadoop.fs.Options.ChecksumOpt` | `getChecksumOpt()`
    `abstract int` | `getLength()` The length of the checksum in bytes
    `int` | `hashCode()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.hadoop.io.Writable

      `readFields, write`

- - ### Constructor Detail

    - #### FileChecksum

          public FileChecksum()

  - ### Method Detail

    - #### getAlgorithmName

          public abstract String getAlgorithmName()

      The checksum algorithm name

    - #### getLength

          public abstract int getLength()

      The length of the checksum in bytes

    - #### getBytes

          public abstract byte[] getBytes()

      The value of the checksum in bytes

    - #### getChecksumOpt

          public org.apache.hadoop.fs.Options.ChecksumOpt getChecksumOpt()

    - #### equals

          public boolean equals(Object other)

      Return true if both the algorithms and the values are the same.
      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

Copyright © 2022 Apache Software Foundation. All rights reserved.